Skip to content
TarekyDocs
Console

Public API: a raster tile of an organisation's custom style (metered)

GET
/v1/styles/{handle}/{styleId}/tiles/{z}/{x}/{y}
curl --request GET \
--url https://api.tareky.com/v1/styles/acme/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tiles/13/5105/3290%402x.webp \
--header 'Authorization: Bearer <token>'
handle
required
string
<= 32 characters
Example
acme

The organisation’s handle

styleId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/

The style id

z
required
integer
<= 20
Example
13
x
required
integer
<= 9007199254740991
Example
5105
y
required
string
Example
3290@2x.webp

{y} with an optional @2x and format extension

x-access-key-id
string

Legacy key id (until its sunset)

The tile, in the format the {y} extension chose

string format: binary

Rate limit or monthly quota exceeded; see Retry-After

object
error
required
object
code
required

Stable machine-readable code, e.g. quota_exceeded, no_route

string
message
required
string
status
required
integer
>= -9007199254740991 <= 9007199254740991
details

For invalid_request: the validation issues

docsUrl
required
string
requestId
string

Any other error, in the /v1 error envelope

object
error
required
object
code
required

Stable machine-readable code, e.g. quota_exceeded, no_route

string
message
required
string
status
required
integer
>= -9007199254740991 <= 9007199254740991
details

For invalid_request: the validation issues

docsUrl
required
string
requestId
string